<template>
	<view>
		<view class="content ">
			<custom_navbar :title="navbar_title" @getNavHeight="getNavHeight" :theme="theme" />
			<view class="photo_main_face" :style="'margin-top:-'+margin_top+'px'">
				<view class="photo_main_face_head"></view>
				<view class="photo_success_1">
					<image src="/static/img/common/photo_c1.png"/>
				</view>
				<view class="photo_success_2">生成已提交</view>
				<view class="photo_success_3">
					<view>目前排队人数较多，请耐心等待</view> 
					
					<view>可去
						<text>【我的】</text>
						页面查看
						<text v-if="from == 'face'">面部档案</text>
						<text v-if="from != 'face'">生成结果</text>
					</view>
				</view>
				<view class="photo_success_4" @click="backIndex">
					<image src="/static/img/common/photo_c2.png"/>
				</view>
			</view>

		</view>


	</view>
</template>

<script>
	import custom_navbar from "../photo/components/photo_header.vue";
	export default {
		components: {
			custom_navbar

		},
		data() {
			return {
				navbar_title: '',
				theme: "blue",
				margin_top: 0,
				from:''

			}
		},

		mounted() {

		},
		onLoad(opiton) {
			this.from= opiton.from;
		},
		onPageScroll(e) {
					if (e.scrollTop > 50) {
						this.theme = 'white';
				
					} else {
				
						this.theme = 'blue';
					}
				},
		methods: {

			getNavHeight(e) {
				this.margin_top += e;
			},
			backIndex(){
				uni.switchTab({
					url:'/pages/index/index'
				})
			},


		}
	}
</script>

<style lang="scss" scoped>
	@import '../photo/this.scss';

	
</style>